(function ($) {
  "use strict";

  Drupal.behaviors.webformWcrAdditionalSettings = {
    attach: function (context) {
      // Provide the vertical tab summaries.
      $('fieldset#edit-webform-wcr', context).drupalSetSummary(function (context) {
        var vals = [];

        // Checkbox items.
        $('input[type=checkbox]', context).each(function () {
          if (this.checked && this.attributes['data-enabled-description']) {
            vals.push(this.attributes['data-enabled-description'].value);
          }
          else if (!this.checked && this.attributes['data-disabled-description']) {
            vals.push(this.attributes['data-disabled-description'].value);
          }
        });
        
        // Select items.
        $('select', context).each(function () {
            vals.push(this.value);
        });

        return vals.join(', ');
      });
    }
  };
})(jQuery);
